/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

// List of standard font families present on ~all Android devices
static const char* kBaseFonts_Android[] = {
  "AndroidClock",
  "Carrois Gothic SC",
  "Coming Soon",
  "Cutive Mono",
  "Dancing Script",
  "Droid Sans Mono",
  "Noto Color Emoji",
  "Noto Naskh Arabic",
  "Noto Naskh Arabic UI",
  "Noto Sans Armenian",
  "Noto Sans Bengali",
  "Noto Sans Bengali UI",
  "Noto Sans Devanagari",
  "Noto Sans Devanagari UI",
  "Noto Sans Ethiopic",
  "Noto Sans Georgian",
  "Noto Sans Hebrew",
  "Noto Sans Kannada",
  "Noto Sans Khmer",
  "Noto Sans Khmer UI",
  "Noto Sans Lao",
  "Noto Sans Lao UI",
  "Noto Sans Malayalam",
  "Noto Sans Malayalam UI",
  "Noto Sans Myanmar",
  "Noto Sans Myanmar UI",
  "Noto Sans Sinhala",
  "Noto Sans Symbols",
  "Noto Sans Tamil",
  "Noto Sans Tamil UI",
  "Noto Sans Telugu",
  "Noto Sans Telugu UI",
  "Noto Sans Thai",
  "Noto Sans Thai UI",
  "Noto Serif",
  "Roboto"
};

// Additional font families that were present on Android versions 5-8
static const char* kBaseFonts_Android5_8[] = {
  "Noto Sans Tibetan"
};

// Additional font families that were present on Android versions 9 and higher
static const char* kBaseFonts_Android9_Higher[] = {
  "Noto Sans Adlam",
  "Noto Sans Ahom",
  "Noto Sans Anatolian Hieroglyphs",
  "Noto Sans Avestan",
  "Noto Sans Balinese",
  "Noto Sans Bamum",
  "Noto Sans Bassa Vah",
  "Noto Sans Batak",
  "Noto Sans Bhaiksuki",
  "Noto Sans Brahmi",
  "Noto Sans Buginese",
  "Noto Sans Buhid",
  "Noto Sans Canadian Aboriginal",
  "Noto Sans Carian",
  "Noto Sans Chakma",
  "Noto Sans Cham",
  "Noto Sans Cherokee",
  "Noto Sans CJK JP",
  "Noto Sans Coptic",
  "Noto Sans Cuneiform",
  "Noto Sans Cypriot",
  "Noto Sans Deseret",
  "Noto Sans Egyptian Hieroglyphs",
  "Noto Sans Elbasan",
  "Noto Sans Glagolitic",
  "Noto Sans Gothic",
  "Noto Sans Gujarati",
  "Noto Sans Gujarati UI",
  "Noto Sans Gurmukhi",
  "Noto Sans Gurmukhi UI",
  "Noto Sans Hanunoo",
  "Noto Sans Hatran",
  "Noto Sans Imperial Aramaic",
  "Noto Sans Inscriptional Pahlavi",
  "Noto Sans Inscriptional Parthian",
  "Noto Sans Javanese",
  "Noto Sans Kaithi",
  "Noto Sans Kayah Li",
  "Noto Sans Kharoshthi",
  "Noto Sans Lepcha",
  "Noto Sans Limbu",
  "Noto Sans Linear A",
  "Noto Sans Linear B",
  "Noto Sans Lisu",
  "Noto Sans Lycian",
  "Noto Sans Lydian",
  "Noto Sans Mandaic",
  "Noto Sans Manichaean",
  "Noto Sans Marchen",
  "Noto Sans Meetei Mayek",
  "Noto Sans Meroitic",
  "Noto Sans Miao",
  "Noto Sans Mongolian",
  "Noto Sans Mro",
  "Noto Sans Multani",
  "Noto Sans Nabataean",
  "Noto Sans New Tai Lue",
  "Noto Sans Newa",
  "Noto Sans NKo",
  "Noto Sans Ogham",
  "Noto Sans Ol Chiki",
  "Noto Sans Old Italic",
  "Noto Sans Old North Arabian",
  "Noto Sans Old Permic",
  "Noto Sans Old Persian",
  "Noto Sans Old South Arabian",
  "Noto Sans Old Turkic",
  "Noto Sans Oriya",
  "Noto Sans Oriya UI",
  "Noto Sans Osage",
  "Noto Sans Osmanya",
  "Noto Sans Pahawh Hmong",
  "Noto Sans Palmyrene",
  "Noto Sans Pau Cin Hau",
  "Noto Sans Phags Pa",
  "Noto Sans Phoenician",
  "Noto Sans Rejang",
  "Noto Sans Runic",
  "Noto Sans Samaritan",
  "Noto Sans Saurashtra",
  "Noto Sans Sharada",
  "Noto Sans Shavian",
  "Noto Sans Sinhala UI",
  "Noto Sans Sora Sompeng",
  "Noto Sans Sundanese",
  "Noto Sans Syloti Nagri",
  "Noto Sans Syriac Eastern",
  "Noto Sans Syriac Estrangela",
  "Noto Sans Syriac Western",
  "Noto Sans Tagalog",
  "Noto Sans Tagbanwa",
  "Noto Sans Tai Le",
  "Noto Sans Tai Tham",
  "Noto Sans Tai Viet",
  "Noto Sans Thaana",
  "Noto Sans Tifinagh",
  "Noto Sans Ugaritic",
  "Noto Sans Vai",
  "Noto Sans Yi",
  "Noto Serif Armenian",
  "Noto Serif Bengali",
  "Noto Serif CJK JP",
  "Noto Serif Devanagari",
  "Noto Serif Ethiopic",
  "Noto Serif Georgian",
  "Noto Serif Gujarati",
  "Noto Serif Gurmukhi",
  "Noto Serif Hebrew",
  "Noto Serif Kannada",
  "Noto Serif Khmer",
  "Noto Serif Lao",
  "Noto Serif Malayalam",
  "Noto Serif Myanmar",
  "Noto Serif Sinhala",
  "Noto Serif Tamil",
  "Noto Serif Telugu",
  "Noto Serif Thai"
};

// Additional font families that were present on Android versions 9-11
static const char* kBaseFonts_Android9_11[] = {
  "Noto Sans Tibetan"
};

// Additional font families that are present on Android versions 12+
static const char* kBaseFonts_Android12_Higher[] = {
  "Noto Color Emoji Flags",
  "Noto Sans Grantha",
  "Noto Sans Gunjala Gondi",
  "Noto Sans Hanifi Rohingya",
  "Noto Sans Khojki",
  "Noto Sans Masaram Gondi",
  "Noto Sans Medefaidrin",
  "Noto Sans Modi",
  "Noto Sans Soyombo",
  "Noto Sans Takri",
  "Noto Sans Wancho",
  "Noto Sans Warang Citi",
  "Noto Serif Dogra",
  "Noto Serif Nyiakeng Puachue Hmong",
  "Noto Serif Tibetan",
  "Noto Serif Yezidi",
  "Source Sans Pro",
  "Source Sans Pro SemiBold"
};

// Additional manufacturer font families that are important for usability.
// Set as langpack to allow use through FontVisibilityLangPack
static const char* kLangPack_MFR_Android12_Higher[] = {
  "One UI Sans KR VF"
};