/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

// List of standard font families installed as part of macOS 10.15 "Catalina"
// from https://developer.apple.com/fonts/system-fonts/
static const char* kBaseFonts[] = {
  "Al Bayan",
  "Al Nile",
  "Al Tarikh",
  "American Typewriter",
  "Andale Mono",
  "Apple Braille",
  "Apple Chancery",
  "Apple Color Emoji",
  "Apple SD Gothic Neo",
  "Apple Symbols",
  "AppleGothic",
  "AppleMyungjo",
  "Arial",
  "Arial Black",
  "Arial Hebrew",
  "Arial Hebrew Scholar",
  "Arial Narrow",
  "Arial Rounded MT Bold",
  "Arial Unicode MS",
  "Avenir",
  "Avenir Next",
  "Ayuthaya",
  "Baghdad",
  "Bangla MN",
  "Bangla Sangam MN",
  "Baskerville",
  "Beirut",
  "Big Caslon",
  "Bodoni 72",
  "Bodoni 72 Oldstyle",
  "Bodoni 72 Smallcaps",
  "Bodoni Ornaments",
  "Bradley Hand",
  "Brush Script MT",
  "Chalkboard",
  "Chalkboard SE",
  "Chalkduster",
  "Charter",
  "Cochin",
  "Comic Sans MS",
  "Copperplate",
  "Corsiva Hebrew",
  "Courier",
  "Courier New",
  "Damascus",
  "DecoType Naskh",
  "Devanagari MT",
  "Devanagari Sangam MN",
  "Didot",
  "DIN Alternate",
  "DIN Condensed",
  "Diwan Kufi",
  "Diwan Thuluth",
  "Euphemia UCAS",
  "Farah",
  "Farisi",
  "Futura",
  "Galvji",
  "GB18030 Bitmap",
  "Geeza Pro",
  "Geneva",
  "Georgia",
  "Gill Sans",
  "Gujarati MT",
  "Gujarati Sangam MN",
  "Gurmukhi MN",
  "Gurmukhi MT",
  "Gurmukhi Sangam MN",
  "Heiti SC",
  "Heiti TC",
  "Helvetica",
  "Helvetica Neue",
  "Hiragino Maru Gothic ProN",
  "Hiragino Mincho ProN",
  "Hiragino Sans",
  "Hiragino Sans GB",
  "Hoefler Text",
  "Impact",
  "InaiMathi",
  "ITF Devanagari",
  "ITF Devanagari Marathi",
  "Kailasa",
  "Kannada MN",
  "Kannada Sangam MN",
  "Kefa",
  "Khmer MN",
  "Khmer Sangam MN",
  "Kohinoor Bangla",
  "Kohinoor Devanagari",
  "Kohinoor Gujarati",
  "Kohinoor Telugu",
  "Kokonor",
  "Krungthep",
  "KufiStandardGK",
  "Lao MN",
  "Lao Sangam MN",
  "Lucida Grande",
  "Luminari",
  "Malayalam MN",
  "Malayalam Sangam MN",
  "Marker Felt",
  "Menlo",
  "Microsoft Sans Serif",
  "Mishafi",
  "Mishafi Gold",
  "Monaco",
  "Mshtakan",
  "Mukta Mahee",
  "Muna",
  "Myanmar MN",
  "Myanmar Sangam MN",
  "Nadeem",
  "New Peninim MT",
  "Noteworthy",
  "Noto Nastaliq Urdu",
  "Noto Sans Adlam",
  "Noto Sans Armenian",
  "Noto Sans Avestan",
  "Noto Sans Bamum",
  "Noto Sans Bassa Vah",
  "Noto Sans Batak",
  "Noto Sans Bhaiksuki",
  "Noto Sans Brahmi",
  "Noto Sans Buginese",
  "Noto Sans Buhid",
  "Noto Sans Canadian Aboriginal",
  "Noto Sans Carian",
  "Noto Sans Caucasian Albanian",
  "Noto Sans Chakma",
  "Noto Sans Cham",
  "Noto Sans Coptic",
  "Noto Sans Cuneiform",
  "Noto Sans Cypriot",
  "Noto Sans Duployan",
  "Noto Sans Egyptian Hieroglyphs",
  "Noto Sans Elbasan",
  "Noto Sans Glagolitic",
  "Noto Sans Gothic",
  "Noto Sans Gunjala Gondi",
  "Noto Sans Hanifi Rohingya",
  "Noto Sans Hanunoo",
  "Noto Sans Hatran",
  "Noto Sans Imperial Aramaic",
  "Noto Sans Inscriptional Pahlavi",
  "Noto Sans Inscriptional Parthian",
  "Noto Sans Javanese",
  "Noto Sans Kaithi",
  "Noto Sans Kannada",
  "Noto Sans Kayah Li",
  "Noto Sans Kharoshthi",
  "Noto Sans Khojki",
  "Noto Sans Khudawadi",
  "Noto Sans Lepcha",
  "Noto Sans Limbu",
  "Noto Sans Linear A",
  "Noto Sans Linear B",
  "Noto Sans Lisu",
  "Noto Sans Lycian",
  "Noto Sans Lydian",
  "Noto Sans Mahajani",
  "Noto Sans Mandaic",
  "Noto Sans Manichaean",
  "Noto Sans Marchen",
  "Noto Sans Masaram Gondi",
  "Noto Sans Meetei Mayek",
  "Noto Sans Mende Kikakui",
  "Noto Sans Meroitic",
  "Noto Sans Miao",
  "Noto Sans Modi",
  "Noto Sans Mongolian",
  "Noto Sans Mro",
  "Noto Sans Multani",
  "Noto Sans Myanmar",
  "Noto Sans Nabataean",
  "Noto Sans New Tai Lue",
  "Noto Sans Newa",
  "Noto Sans NKo",
  "Noto Sans Ol Chiki",
  "Noto Sans Old Hungarian",
  "Noto Sans Old Italic",
  "Noto Sans Old North Arabian",
  "Noto Sans Old Permic",
  "Noto Sans Old Persian",
  "Noto Sans Old South Arabian",
  "Noto Sans Old Turkic",
  "Noto Sans Oriya",
  "Noto Sans Osage",
  "Noto Sans Osmanya",
  "Noto Sans Pahawh Hmong",
  "Noto Sans Palmyrene",
  "Noto Sans Pau Cin Hau",
  "Noto Sans PhagsPa",
  "Noto Sans Phoenician",
  "Noto Sans Psalter Pahlavi",
  "Noto Sans Rejang",
  "Noto Sans Samaritan",
  "Noto Sans Saurashtra",
  "Noto Sans Sharada",
  "Noto Sans Siddham",
  "Noto Sans Sora Sompeng",
  "Noto Sans Sundanese",
  "Noto Sans Syloti Nagri",
  "Noto Sans Syriac",
  "Noto Sans Tagalog",
  "Noto Sans Tagbanwa",
  "Noto Sans Tai Le",
  "Noto Sans Tai Tham",
  "Noto Sans Tai Viet",
  "Noto Sans Takri",
  "Noto Sans Thaana",
  "Noto Sans Tifinagh",
  "Noto Sans Tirhuta",
  "Noto Sans Ugaritic",
  "Noto Sans Vai",
  "Noto Sans Wancho",
  "Noto Sans Warang Citi",
  "Noto Sans Yi",
  "Noto Sans Zawgyi",
  "Noto Serif Ahom",
  "Noto Serif Balinese",
  "Noto Serif Hmong Nyiakeng",
  "Noto Serif Myanmar",
  "Noto Serif Yezidi",
  "Optima",
  "Oriya MN",
  "Oriya Sangam MN",
  "Palatino",
  "Papyrus",
  "Phosphate",
  "PingFang HK",
  "PingFang SC",
  "PingFang TC",
  "Plantagenet Cherokee",
  "PT Mono",
  "PT Sans",
  "PT Sans Caption",
  "PT Sans Narrow",
  "PT Serif",
  "PT Serif Caption",
  "Raanana",
  "Rockwell",
  "Sana",
  "Sathu",
  "Savoye LET",
  "Shree Devanagari 714",
  "SignPainter",
  "Silom",
  "Sinhala MN",
  "Sinhala Sangam MN",
  "Skia",
  "Snell Roundhand",
  "Songti SC",
  "Songti TC",
  "STIXGeneral",
  "STIXIntegralsD",
  "STIXIntegralsSm",
  "STIXIntegralsUp",
  "STIXIntegralsUpD",
  "STIXIntegralsUpSm",
  "STIXNonUnicode",
  "STIXSizeFiveSym",
  "STIXSizeFourSym",
  "STIXSizeOneSym",
  "STIXSizeThreeSym",
  "STIXSizeTwoSym",
  "STIXVariants",
  "STSong",
  "Sukhumvit Set",
  "Symbol",
  "Tahoma",
  "Tamil MN",
  "Tamil Sangam MN",
  "Telugu MN",
  "Telugu Sangam MN",
  "Thonburi",
  "Times",
  "Times New Roman",
  "Trattatello",
  "Trebuchet MS",
  "Verdana",
  "Waseem",
  "Webdings",
  "Wingdings",
  "Wingdings 2",
  "Wingdings 3",
  "Zapf Dingbats",
  "Zapfino",
};

static const char* kBaseFonts_13_Higher[] = {
  "Stix Two Math",
};
